GeoSurface
Date: 2019-10-22

org.jmol.shapespecial

## Class GeoSurface

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.AtomShape
    - - org.jmol.shapespecial.Dots
      - - org.jmol.shapespecial.GeoSurface

-     public class GeoSurface
      extends Dots

- - ### Field Summary

    - ### Fields inherited from class org.jmol.shapespecial.Dots

      `bsOn, ec, isSurface, MAX_LEVEL, rdLast, SURFACE_DISTANCE_FOR_CALCULATION, thisArgb, thisAtom, thisRadius`

    - ### Fields inherited from class org.jmol.shape.AtomShape

      `ac, atoms, bsSizeDefault, colixes, isActive, mad, mads, monomerCount, paletteIDs`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoSurface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initShape()`

    - ### Methods inherited from class org.jmol.shapespecial.Dots

      `getShapeState, getSize, initialize, setAtomClickability, setProperty, setSizeRD`

    - ### Methods inherited from class org.jmol.shape.AtomShape

      `checkColixLength, getInfoAsString, initModelSet, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD2`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setPropS, setShapeSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoSurface

          public GeoSurface()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `Dots`